Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class MenuNodeImage

    java.lang.Object
      org.richfaces.renderkit.html.images.MenuNodeImage

All Implemented Interfaces:
  org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

    public class MenuNodeImage

extends Object
implements org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

Constructor Summary
`MenuNodeImage()`

Method Summary
`Dimension` | `getDimension()`
`Integer` | `getDisabledColor()`
`Integer` | `getGeneralColor()`
`org.richfaces.resource.ImageType` | `getImageType()`
`Date` | `getLastModified()`
`Map<String,String>` | `getResponseHeaders()`
`void` | `initialize()`
`boolean` | `isTransient()`
`void` | `paint(Graphics2D g2d)`
`void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
`void` | `setDisabledColor(Integer disabledColor)`
`void` | `setGeneralColor(Integer generalColor)`
`void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuNodeImage

    public MenuNodeImage()

Method Detail

### getDisabledColor

    public Integer getDisabledColor()

### setDisabledColor

    public void setDisabledColor(Integer disabledColor)

### getGeneralColor

    public Integer getGeneralColor()

### setGeneralColor

    public void setGeneralColor(Integer generalColor)

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           DataOutput dataOutput)
                    throws IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `IOException`

### readState

    public void readState(javax.faces.context.FacesContext context,
                          DataInput dataInput)
                   throws IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `IOException`

### getResponseHeaders

    public Map<String,String> getResponseHeaders()

  Specified by:
    `getResponseHeaders` in interface `org.richfaces.resource.Java2DUserResource`

### getLastModified

    public Date getLastModified()

  Specified by:
    `getLastModified` in interface `org.richfaces.resource.Java2DUserResource`

### getImageType

    public org.richfaces.resource.ImageType getImageType()

  Specified by:
    `getImageType` in interface `org.richfaces.resource.Java2DUserResource`

### getDimension

    public Dimension getDimension()

  Specified by:
    `getDimension` in interface `org.richfaces.resource.Java2DUserResource`

### paint

    public void paint(Graphics2D g2d)

  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DUserResource`

### initialize

    public final void initialize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.